# ---------------------------------------------------------------------
# Copyright (c) 2024 Qualcomm Innovation Center, Inc. All rights reserved.
# SPDX-License-Identifier: BSD-3-Clause
# ---------------------------------------------------------------------
from __future__ import annotations

from qai_hub_models.models.depth_anything_v2.model import DepthAnythingV2
from qai_hub_models.utils.quantization import HubQuantizableMixin

MODEL_ID = __name__.split(".")[-2]


class DepthAnythingV2Quantizable(HubQuantizableMixin, DepthAnythingV2):
    def get_quantize_options(self) -> str:
        return "--range_scheme min_max"
